<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  function iniNews ()
  {
    global $prefix;
    global $db;
    global $CharsNewsTitle;
    global $CharsUserName;

    $sql = 'CREATE TABLE '.$prefix.'news
    (
      NewsID INTEGER NOT NULL AUTO_INCREMENT,
      Date INT,
      AddedFrom CHAR('.$CharsUserName.'),
      Title CHAR ('.$CharsNewsTitle.'),
      Text TEXT,
      DateOfLastEdit INT,
      LastEditor CHAR('.$CharsUserName.'),
      Publish TINYINT(1),
      PRIMARY KEY (NewsID)
    ) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_unicode_ci';
    
    if (mysqli_query($db, $sql)) { return true; }
    else { return false; }
  }
?>